> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcarbon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Payout Status

> Retrieve the status of a specific payout by reference.

## Overview

This endpoint retrieves the status of a specific payout using the provided reference.

### Request

**Method:** `GET`\
**URL:** `/v1/payouts/status/{reference}`

#### Parameters

| Name           | In     | Type     | Required | Description                         |
| -------------- | ------ | -------- | -------- | ----------------------------------- |
| `x-carbon-key` | Header | `string` | Yes      | API key for authentication.         |
| `reference`    | Path   | `string` | Yes      | The unique reference of the payout. |

### Response

**Status Code:** `200 OK`\
**Content-Type:** `application/json`

#### Example Response

```json theme={null}
{
  "status": "success",
  "message": "payout fetched successfully",
  "data": {
    "status": "SUCCESS",
    "message": "STAGING Env Success | Transfer in progress - null",
    "amount": 150,
    "total": 175,
    "fee": 25,
    "reference": "121324-43554-65656-67676-00-00010010",
    "uniqueRef": "204041344312337",
    "beneficiary": {
      "bankCode": "057",
      "accountNumber": "00000000",
      "accountName": "ALex Oyo",
      "bankName": "Zenith Bank"
    }
  }
}
```


## OpenAPI

````yaml GET /v1/payouts/status/{reference}
openapi: 3.0.0
info:
  title: Carbon Business API
  description: >-
    ## Welcome to our API Developer Documentation


    Carbon aims to unlock the full potential of your business with a
    feature-rich account designed for growth.


    ## Integrations


    We aim to provide our APIs for developers and businesses to offer financial
    services to their existing customer base through REST APIs without doing the
    heavy lifting. Our API has predictable resource-oriented URLs, accepts
    form-encoded request bodies, returns JSON-encoded responses, and uses
    standard HTTP response codes, authentication, and verbs.


    ### Authentication


    `Authorization : API Key`


    Header  

    `x-carbon-key : value`


    `x-carbon-key` can be generated via developer page on Carbon Business


    | Environment | URL |

    | --- | --- |

    | Live |  |

    | Sandbox |
    [https://carbonapistagingsecure.getcarbon.co/baas/api](https://carbonapistagingsecure.getcarbon.co/baas/api)
    |


    ### **Handling Errors**


    We use the conventional HTTP response codes to indicate the success or
    failure of an API request.  

    Codes in the 2xx range indicate success. Codes in the 4xx range indicate an
    error that failed given the information provided (e.g., a required parameter
    was omitted, etc.). Codes in the 5xx range indicate an error with our
    servers.


    | Error | Description |

    | --- | --- |

    | 400 - Bad Request | The request was unacceptable, often due to missing a
    required parameter. |

    | 401 - Unauthorized | Not a valid API key was provided. |

    | 402 - Request Failed | The parameters were valid but the request failed. |

    | 403 - Forbidden | The API key doesn't have permission to perform the
    request. |

    | 404 - Not Found | The requested resource doesn't exist. |

    | 429 - Too Many Requests | Too many requests hit the API |

    | 500, 502, 503, 504 - Server Errors | System Error |
  version: 1.0.0
servers:
  - url: https://carbonapistagingsecure.getcarbon.co/baas/api
    description: >-
      Replace {{base_url}} with your API base URL (e.g.,
      https://api.example.com)
security:
  - apikeyAuth: []
tags:
  - name: Accounts
    description: >-
      Virtual accounts are generated account details (account number and bank)
      that allow Carbon Business merchants to receive payments from customers
      via NGN bank transfer. This is currently only available in naira (NGN).


      Virtual accounts are either dynamic (temporary) or static (permanent). A
      dynamic account number expires after handling a transaction, while a
      static account number doesn't expire.


      **Static Account**


      Creating static accounts can be useful when receiving recurring payments
      through bank transfers. The process involves generating a static virtual
      account with customer information. Once payment is made, we will send you
      a webhook notification, which you can then manage.


      **Dynamic Account**


      Creating dynamic accounts can be useful when receiving one-time payments
      through bank transfers. The process involves generating a dynamic virtual
      account with a set amount for the customer during checkout. Once payment
      is made, we will send you a webhook notification, which you can then
      manage.


      Key things you can do with these endpoints:


      - Create an account

      - Retreive an account

      - Verify Transaction

      - Retreive a list of transactions
  - name: Accounts > Transactions
  - name: Banks
    description: |-
      - Get a list of banks and financial institutions
      - Verify/resolve account details
  - name: Customers
    description: >-
      This collection contains a set of API endpoints to manage customer-related
      operations for an application. The endpoints allow for creating a new
      customer, retrieving a list of all customers, and fetching details of a
      single customer.


      - Create Customer
          
      - Fetch Customer/Customers
  - name: Payout
    description: |-
      - Make Transfer
      - Verify Transfer
  - name: Status
    description: '- Service Health check'
  - name: Verification
  - name: Webhook
    description: |-
      ## EVENTS

      `account.incoming-transaction`

      ``` json
      {
          "event": "account.incoming-transaction",
          "data": {
              "id": "string",
              "amount": "float",
              "currency": "string",
              "transactionType": "string",
              "entryDate": "datetime",
              "uniqueRef": "string",
              "account": {
                  "id": "string",
                  "bankAccount": {
                      "accountName": "string",
                      "accountNumber": "string",
                      "bank": {
                          "code": "string",
                          "name": "string"
                      }
                  },
                  "static": boolean,
                  "currency": "string",
                  "clientId": "string"
              }
            }
      }

       ```

      `account.outgoing-transaction`

      ``` json
      {
          "event": "account.outgoing-transaction",
          "data": {
              "id": "string",
              "amount": "float",
              "currency": "string",
              "transactionType": "string",
              "entryDate": "datetime",
              "uniqueRef": "string",
              "account": {
                  "id": "string",
                  "bankAccount": {
                      "accountName": "string",
                      "accountNumber": "string",
                      "bank": {
                          "code": "string",
                          "name": "string"
                      }
                  },
                  "static": boolean,
                  "currency": "string",
                  "clientId": "string"
              }
          }
      }

       ```
  - name: Loans
    description: >-
      Partner lending API. Enables fintech partners to originate business loans
      for their end-customers.


      - Enroll customers for lending and trigger KYC

      - Submit loan applications and supporting documents

      - Manage offer acceptance, disbursement account, and post-offer steps

      - Charge repayments and retrieve repayment schedules
paths:
  /v1/payouts/status/{reference}:
    get:
      tags:
        - Payout
      summary: Fetch Payout Status
      description: >-
        ### Retrieve Payout Status


        This endpoint makes an HTTP GET request to retrieve the status of a
        payout with a specific reference from the provided base URL.


        #### Request Body


        This request does not require a request body.


        #### Response Body


        The response will be in JSON format and will include the following
        parameters:


        - `status` (string): The status of the payout.
            
        - `message` (string): A message related to the payout status.
            
        - `amount` (number): The payout amount.
            
        - `total` (number): The total amount.
            
        - `fee` (number): The fee associated with the payout.
            
        - `reference` (string): The reference of the payout.
            
        - `uniqueRef` (string): The unique reference of the payout.
            
        - `beneficiary` (object): An object containing the beneficiary details
        including:
            
            - `bankCode` (string): The bank code of the beneficiary.
                
            - `accountNumber` (string): The account number of the beneficiary.
                
            - `accountName` (string): The account name of the beneficiary.
                
            - `bankName` (string): The bank name of the beneficiary.
                

        #### Example Response


        ``` json

        {
            "status": "",
            "message": "",
            "data": {
                "status": "",
                "message": "",
                "amount": 0,
                "total": 0,
                "fee": 0,
                "reference": "",
                "uniqueRef":"",
                "providerReference": "",
                "beneficiary": {
                    "bankCode": "",
                    "accountNumber": "",
                    "accountName": "",
                    "bankName": ""
                }
            }
        }


         ```
      parameters:
        - name: x-carbon-key
          in: header
          schema:
            type: string
          required: true
          example: '{{access_token}}'
        - name: reference
          in: path
          schema:
            type: integer
          required: true
          example: '204041344312337'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Mon, 16 Dec 2024 12:58:03 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '386'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Security-Policy:
              schema:
                type: string
                example: >-
                  default-src 'self';base-uri 'self';font-src 'self' https:
                  data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                  data:;object-src 'none';script-src 'self';script-src-attr
                  'none';style-src 'self' https:
                  'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
                example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
                example: '?1'
            Referrer-Policy:
              schema:
                type: string
                example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
                example: 'off'
            X-Download-Options:
              schema:
                type: string
                example: noopen
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
                example: none
            X-XSS-Protection:
              schema:
                type: integer
                example: '0'
            RateLimit-Policy:
              schema:
                type: string
                example: 100;w=900
            RateLimit-Limit:
              schema:
                type: integer
                example: '100'
            RateLimit-Remaining:
              schema:
                type: integer
                example: '94'
            RateLimit-Reset:
              schema:
                type: integer
                example: '775'
            ETag:
              schema:
                type: string
                example: W/"182-64dRH32Sd4yMt9u7UzdEnbJLG/4"
            BANKIG:
              schema:
                type: string
                example: HEALTH-CHECK
            X-Kong-Upstream-Latency:
              schema:
                type: integer
                example: '667'
            X-Kong-Proxy-Latency:
              schema:
                type: integer
                example: '1'
            Via:
              schema:
                type: string
                example: kong/1.1.2
          content:
            application/json:
              schema:
                type: object
              example:
                status: success
                message: payout fetched successfully
                data:
                  status: SUCCESS
                  message: STAGING Env Success | Transfer in progress - null
                  amount: 150
                  total: 175
                  fee: 25
                  reference: 121324-43554-65656-67676-00-00010010
                  uniqueRef: '204041344312337'
                  beneficiary:
                    bankCode: '057'
                    accountNumber: '00000000'
                    accountName: ALex Oyo
                    bankName: Zenith Bank
components:
  securitySchemes:
    apikeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Provide your API key in the 'apikey' header.

````